## glfiltercube glfiltercube |

## Properties

gdouble | aspect | Read / Write
gfloat | blue | Read / Write
gdouble | fovy | Read / Write
gfloat | green | Read / Write
gfloat | red | Read / Write
gdouble | zfar | Read / Write
gdouble | znear | Read / Write

## Types and Values

struct | GstGLFilterCube

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstGLBaseFilter
                            ╰── GstGLFilter
                                ╰── GstGLFilterCube

## Description

The resize and redraw callbacks can be set from a client code.

### Examples

    1
    gst-launch-1.0 -v videotestsrc ! glfiltercube ! glimagesink

A pipeline to mpa textures on the 6 cube faces.. FBO is required.

    1
    gst-launch-1.0 -v videotestsrc ! glfiltercube ! video/x-raw, width=640, height=480 ! glimagesink

Resize scene after drawing the cube. The scene size is greater than the input video size.

    1
    gst-launch-1.0 -v videotestsrc ! video/x-raw, width=640, height=480  ! glfiltercube ! glimagesink

Resize scene before drawing the cube. The scene size is greater than the input video size.

## Synopsis

### Element Information

plugin | opengl
author | Julien Isorce <julien.isorce@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw(ANY), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

name | src
direction | source
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(ANY), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

## Functions

## Types and Values

### struct GstGLFilterCube

    struct GstGLFilterCube;

## Property Details

### The `“aspect”` property

      “aspect”                   gdouble

Field of view in the x direction.

Flags: Read / Write

Allowed values: [0,100]

Default value: 0

### The `“blue”` property

      “blue”                     gfloat

Background blue color.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“fovy”` property

      “fovy”                     gdouble

Field of view angle in degrees.

Flags: Read / Write

Allowed values: [0,180]

Default value: 45

### The `“green”` property

      “green”                    gfloat

Background green color.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“red”` property

      “red”                      gfloat

Background red color.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“zfar”` property

      “zfar”                     gdouble

Specifies the distance from the viewer to the far clipping plane.

Flags: Read / Write

Allowed values: [0,1000]

Default value: 100

### The `“znear”` property

      “znear”                    gdouble

Specifies the distance from the viewer to the near clipping plane.

Flags: Read / Write

Allowed values: [0,100]

Default value: 0.1